Summary:	Rotates, compresses, removes and mails system log files.
Name:		logrotate
Version:	3.5.2
Release:	1.3.0
Copyright:	GPL
Group:		System Environment/Base
Source0:	ftp://ftp.redhat.com/pub/redhat/code/logrotate/logrotate-%{PACKAGE_VERSION}.tar.gz
Source1:	logrotate-example-3.5.2.tar.gz
Source2:	logrotate-cron
Patch0:		logrotate-3.5.2-no-rotate-lastlog-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
Requires:	crontabs, vixie-cron

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

%files
  %doc %attr(0444,root,root)	%doc %{_mandir}/man8/logrotate.8*
  %attr(0700,root,root)		%{_sbindir}/logrotate
  %attr(0640,root,admin)	%config %{_sysconfdir}/logrotate.conf
  %attr(0750,root,admin)	%dir %{_sysconfdir}/logrotate.d
  %attr(0600,root,root)		%config %{_sysconfdir}/cron.d/logrotate

%prep
%setup -q -a 1
%patch0 -p1

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MANDIR=%{_mandir}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make PREFIX=$RPM_BUILD_ROOT MANDIR=%{_mandir} install
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d 

  install -m644 examples/logrotate-default $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.conf
  install -m755 examples/cron $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/cron
  install -m755 examples/ftpd $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/ftpd
  install -m755 examples/syslog-ng $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/syslog-ng
  install -m640 $RPM_SOURCE_DIR/logrotate-cron $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d/logrotate

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.5.2, Release 1.5.1
  - Don't rotate lastlog.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Mon Oct 01 2001 Nicholas DeClario <nick@guardiandigital.com>
- Version 3.5.2, Release 1.1.1
  - Removed restarting swatch from cron

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.5.2, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Mon Mar 19 2001 Nick DeClario <nick@guardiandigital.com>
- Added vixie-cron requirement
- removed automatic restarting of crond

* Wed Mar 07 2001 Pete O'Hara <pete@guardiandigital.com>
- sent output of cron script to 2>&1 /dev/null

* Thu Mar 01 2001 Pete O'Hara <pete@guardiandigital.com>
- added command success test to /etc/cron.d/logrotate 

* Mon Feb 26 2001 Pete O'Hara <pete@guardiandigital.com>
- added Requires: crontabs
- removed -f test for /usr/bin/swatch from /etc/cron.d/logrotate 

* Thu Jan 18 2001 Nick DeClario <nick@guardiandigital.com>
- Moved cron entry to cron.d in logrotate
- Changed wtmp to rotate monthly
- Removed entries for logs no longer in use
- Added swatch to cron.d

* Wed Jan 17 2001 Nick DeClario <nick@guardiandigital.com>
- Upgraded to version 3.5.2

* Wed Dec 20 2000 Pete O'Hara <pete@guardiandigital.com>
- patched /etc/logrotate.conf to create /var/log/wtmp
	with 660 perms

* Mon Dec 11 2000 Pete O'Hara <pete@guardiandigital.com>
- added Prereq /etc/crontab

* Mon Dec 11 2000 Pete O'Hara <pete@guardiandigital.com>
- fix creation of logrotate crontab entry 
- added a %postun to remove logrotate entry from crontab
- added crontabs as a requirement

* Fri Dec 01 2000 Ryan W. Maple <ryan@guardiandigital.com>
- Removed post install script '/etc/init.d/crond restart'

* Wed Nov 29 2000 Dave Wreski <dave@guardiandigital.com>
- removed uucp logrotate file

* Mon Nov 20 2000 Dave Wreski <dave@guardiandigital.com>
- FHS fixes

* Wed Nov 01 2000 Nick DeClario <nick@guardiandigital.com>
- Changed the cron daemon to run logrotate at 12:15am daily

* Tue Jun 27 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod no world access to /etc/logrotate.conf, logrotate.d
	/etc/cron.daily/logrotate
- initial version from RH6
